%define major 16
%define libname %mklibname png %{major}
%define devname %mklibname png -d

Summary:	A library of functions for manipulating PNG image format files
Name:		libpng
Version:	1.6.12
Release:	1
Epoch:		2
License:	zlib
Group:		System/Libraries
Url:		http://www.libpng.org/pub/png/libpng.html
Source0:	http://prdownloads.sourceforge.net/libpng/files/%{name}-%{version}.tar.xz
# (tpg) APNG support http://littlesvr.ca/apng/
# (tpg) http://hp.vector.co.jp/authors/VA013651/freeSoftware/apng.html
# (tpg) http://sourceforge.net/projects/libpng-apng/ <- use this one
Patch0:		http://downloads.sourceforge.net/libpng-apng/files/libpng-devel/%{version}/%{name}-%{version}-apng.patch.gz
Patch1:		libpng-1.6.10-fix-libdir-pkgconfig-lib64-conflict.diff
BuildRequires:	cmake
BuildRequires:	pkgconfig(zlib)

%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG is
a bit-mapped graphics format similar to the GIF format.  PNG was created to
replace the GIF format, since GIF uses a patented data compression
algorithm.

Libpng should be installed if you need to manipulate PNG format image
files.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A library of functions for manipulating PNG image format files
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with libpng.

%files -n %{libname}
%{_libdir}/libpng%{major}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development tools for programs to manipulate PNG image format files
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	png-devel = %{EVRD}
# FIXME this is not quite right, but will fix a great many builds...
%if "%{_lib}" == "lib64"
Provides:	devel(libpng15(64bit))
%else
Provides:	devel(libpng15)
%endif

%description -n %{devname}
The libpng-devel package contains the header files and libraries
necessary for developing programs using the PNG (Portable Network
Graphics) library.

If you want to develop programs which will manipulate PNG image format
files, you should install libpng-devel.  You'll also need to install the
libpng package.

%files -n %{devname}
%doc libpng-manual.txt example.c README TODO CHANGES
%{_bindir}/libpng-config
%{_bindir}/libpng%{major}-config
%{_includedir}/*
%{_libdir}/libpng%{major}.so
%{_libdir}/libpng.so
%{_libdir}/pkgconfig/libpng*.pc
%{_mandir}/man?/*

#----------------------------------------------------------------------------

%package source
Summary:	Source code of %{name}
Group:		Development/C

%description source
This package contains the source code of %{name}.

%files source
%{_prefix}/src/%{name}/

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .apng
%patch1 -p1 -b .lib64~

%build
export CFLAGS="%{optflags} -O3 -funroll-loops"

%cmake \
  -DPNG_SHARED:BOOL=ON \
  -DPNG_STATIC:BOOL=OFF
%make

%install
%makeinstall_std -C build

install -d %{buildroot}%{_prefix}/src/%{name}
cp -a *.c *.h %{buildroot}%{_prefix}/src/%{name}

rm -rf %{buildroot}%{_prefix}/lib/libpng/*.cmake


%changelog
* Tue Aug 12 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:1.6.12-1
+ Revision: d7a0700
- New version 1.6.12


